@import url('https://fonts.googleapis.com/css2?family=Eczar&display=swap');

* {
  box-sizing: border-box;
  font-family: Eczar, serif;
}

body {
  all: unset;
  /* use absolute path so the file works from /css/ */
  background-image: url('/server/fear-and-hunger/fnh-bg.png');
  background-attachment: fixed;
}

a {
  color: #ef7b3d; 
  text-decoration: none;
  font-weight: 700;
}


body > a {
  display: block;
  padding: 25px;
  background: rgb(0 0 0 / 80%);
  width: 400px;
  margin: 0 auto;
  border: 4px solid white;
  text-align: center;
  color: white;
}

.warning {
  background: white;
  color: black;
  padding: 20px;
  max-width: 700px;
  width: 100%;
  margin: 10px auto;
  display: flex;
  flex-flow: row nowrap;
  height: 200px;
  gap: 10px;
  align-items: center;
  justify-content: center;
}


.warning img {
  flex: 0 0 80px; 
  image-rendering: pixelated;
}

.wrapper::before, .wrapper::after {
  background-size: 100% auto;
  width: 100%;
  display: block;
  position: absolute;
  content: '';
  background-repeat: no-repeat;
}

.wrapper::before {
  filter: drop-shadow(0 5px 5px #262626) drop-shadow(0 10px 10px #262626);
  top: -270px;
  height: 280px;
  background-image: url('/server/fear-and-hunger/moonless-guard-t.png'); 
  background-position: bottom;
}

.wrapper::after {
  filter: drop-shadow(0 -5px 5px #262626) drop-shadow(0 -10px 10px #262626);
  bottom: -180px;
  height: 180px;
  background-image: url('/server/fear-and-hunger/moonless-guard-b.png'); 
  background-position: top;
}

.wrapper {
  margin: 300px auto;
  display: flex;
  position: relative;
  flex-flow: row wrap;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 900px;
  gap: 10px;
  padding: 0 10vw;
  color: rgb(240 240 240 / 100%);
  background-image: url('/server/fear-and-hunger/moonless-guard-m.png');
  background-size: 100% auto;
  animation: open 5s cubic-bezier(1,.3,.2, 1) forwards;
}

.wrapper > * {
  flex: 0 0 100%; 
}

.wrapper > section {
  overflow: auto;
  max-height: 1000px;
  height: 100%;
}

.wrapper > section img {
   max-width: 100%;
   max-height: 100px;
}


.ending { 
  font-size: 3em; 
  text-align: center; 
  display: flex; 
  flex-flow: row wrap;
  gap: 0 15px;
  align-items:center;
  justify-content: center;
  }


@keyframes open {
  0% {height: 0;}
  5% {transform: scale(1.1) translate(10px, 20px);}
  8% {transform: scale(0.9) translate(-10px, 20px);}
  15% {transform: scale(1.1) translate(-4px, 14px);}
  20% {transform: scale(1.0) translate(15px, 20px);}
  24% {transform: scale(1.2) translate(-12px, 10px);}
  29% {transform: scale(0.9) translate(11px, -25px);}
  50% {transform: scale(1.1) translate(5px, 10px);}
  90% {height: 0;}
  100% {height:1000px;}
}
